Subject: Re: [net-next] intel: add SPDX identifiers to all the Intel drivers

From: Greg Kroah-Hartman <[email-masked]>
Date: Wed, 21 Mar 2018 10:38:49 +0100

On Tue, Mar 20, 2018 at 06:09:20PM -0700, Jeff Kirsher wrote:
> > When the kernel maintainers decide to switch to V3.0 of the SPDX list,
> > the doc will be updated and then Joe's script could be applied at once
> > to update the past.
> 
> I am fine with changing my patch back to v2.6 SPDX ids, as long as Joe's
> script in the future won't touch the Intel wired LAN drivers, since we need
> to retain copyright on several files through out our drivers.

Changing SPDX comment lines should never change the "copyright" of a
file.  If you have questions about stuff like that, please talk to your
corporate lawyers, they will be glad to talk to you all about what
defines "copyright" :)

thanks,

greg "I talk to too many lawyers..." k-h